NG_SPLIT(4)

NAME
ng_split - netgraph node to separate incoming and outgoing flows

SYNOPSIS
#include <netgraph/ng_split.h>

DESCRIPTION
The split node type is used to split a bidirectional stream of packets into two separate unidirectional streams of packets.

HOOKS
This node type supports the following three hooks:

in  Packets received on in are forwarded to mixed.

out Packets received on out will be discarded as illegal.

mixed
    Packets received on mixed are forwarded to out.

CONTROL MESSAGES
This node type supports only the generic control messages.

SHUTDOWN
This node shuts down upon receipt of a NGM_SHUTDOWN control message, or when all hooks have been disconnected.

SEE ALSO
netgraph(4), ngctl(8)

HISTORY
The ng_split node type was implemented in FreeBSD 3.5 but incorporated into FreeBSD in FreeBSD 5.0.

AUTHORS
Julian Elischer <julian@FreeBSD.org> Vitaly V. Belekhov <vitaly@riss-telecom.ru>